Tomcat Update for openSUSE Leap 15.0
Posted on: 07/01/2019 07:17 AM

Updated Tomcat packages has been released for openSUSE Leap 15.0 to address two vulnerabilities

Tomcat Update for openSUSE Leap 15.0


openSUSE Security Update: Security update for tomcat
______________________________________________________________________________

Announcement ID: openSUSE-SU-2019:1673-1
Rating: moderate
References: #1111966 #1131055 #1136085
Cross-References: CVE-2019-0199 CVE-2019-0221
Affected Products:
openSUSE Leap 15.0
______________________________________________________________________________

An update that solves two vulnerabilities and has one
errata is now available.

Description:

This update for tomcat to version 9.0.20 fixes the following issues:

Security issues fixed:

- CVE-2019-0199: Fixed a denial of service in the HTTP/2 implementation
related to streams with excessive numbers of SETTINGS frames
(bsc#1131055).
- CVE-2019-0221: Fixed a cross site scripting vulnerability with the SSI
printenv command (bsc#1136085).

Non-security issues fixed:

- Increase maximum number of threads and open files for tomcat
(bsc#1111966).

This update was imported from the SUSE:SLE-15:Update update project.


Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 15.0:

zypper in -t patch openSUSE-2019-1673=1



Package List:

- openSUSE Leap 15.0 (noarch):

tomcat-9.0.20-lp150.2.19.1
tomcat-admin-webapps-9.0.20-lp150.2.19.1
tomcat-docs-webapp-9.0.20-lp150.2.19.1
tomcat-el-3_0-api-9.0.20-lp150.2.19.1
tomcat-embed-9.0.20-lp150.2.19.1
tomcat-javadoc-9.0.20-lp150.2.19.1
tomcat-jsp-2_3-api-9.0.20-lp150.2.19.1
tomcat-jsvc-9.0.20-lp150.2.19.1
tomcat-lib-9.0.20-lp150.2.19.1
tomcat-servlet-4_0-api-9.0.20-lp150.2.19.1
tomcat-webapps-9.0.20-lp150.2.19.1


References:

https://www.suse.com/security/cve/CVE-2019-0199.html
https://www.suse.com/security/cve/CVE-2019-0221.html
https://bugzilla.suse.com/1111966
https://bugzilla.suse.com/1131055
https://bugzilla.suse.com/1136085



Printed from Linux Compatible (https://www.linuxcompatible.org/news/story/tomcat_update_for_opensuse_leap_15.html)